use strict;
use LWP::UserAgent;
use HTTP::Request::Common;
use JSON;

my $uri = 'http://api.sendcloud.net/apiv2/mail/sendtemplate';

my $ua = LWP::UserAgent->new;
# See http://search.cpan.org/~gaas/HTTP-Message-6.06/lib/HTTP/Request.pm

my %sub = ("%code%"=>['123456']);
my %vars = ("to"=>['test@ifaxin.com'],"sub"=>\%sub);
my $vars_str = encode_json\%vars;
print "$vars_str\n";

my $request = POST $uri,
    Content => [
        apiUser => '...', # Verification using api_user and api_key
        apiKey => '...',
        from => 'sendcloud@sendcloud.org', # The sender, use the correct email address instead
        fromName => 'SendCloud',
        xsmtpapi => $vars_str,
        templateInvokeName => 'test12346',
        subject => 'SendCloud perl webapi template example',
        respEmailId => 'true'
    ];

my $response = $ua->request($request) ;
if ($response->is_success()) {
    print $response->content, "\n";
} else {
    print $response->as_string, "\n";
}

exit;
